#
#   - Crypt-RIPEMD160 -
#   This spec file was automatically generated by cpan2rpm [ver: 2.027]
#   (ALT Linux revision)
#   The following arguments were used:
#       --spec-only Crypt::RIPEMD160
#   For more information on cpan2rpm please visit: http://perl.arix.com/
#

%define module Crypt-RIPEMD160
%define m_distro Crypt-RIPEMD160
%define m_name Crypt-RIPEMD160
%define m_author_id unknown
%define _enable_test 1

Name: perl-Crypt-RIPEMD160
Version: 0.04
Release: alt2

Summary: Crypt-RIPEMD160 - Perl extension for the RIPEMD-160 Hash function

License: Artistic
Group: Development/Perl
Url: http://www.cpan.org

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://search.cpan.org//CPAN/authors/id/C/CH/CHGEUER/%m_distro-%version.tar.gz

# Automatically added by buildreq on Sat Aug 27 2005
BuildRequires: perl-devel

%description
The Crypt::RIPEMD160 module allows you to use the RIPEMD160
Message Digest algorithm from within Perl programs.

The module is based on the implementation from Antoon Bosselaers from
Katholieke Universiteit Leuven.

A new RIPEMD160 context object is created with the new operation.
Multiple simultaneous digest contexts can be maintained, if desired.
The context is updated with the add operation which adds the
strings contained in the *LIST* parameter. Note, however, that
"add('foo', 'bar')", "add('foo')" followed by "add('bar')" and
"add('foobar')" should all give the same result.

The final message digest value is returned by the digest operation
as a 20-byte binary string. This operation delivers the result of
add operations since the last new or reset operation. Note
that the digest operation is effectively a destructive, read-once
operation. Once it has been performed, the context must be reset
before being used to calculate another digest value.

Several convenience functions are also provided. The addfile
operation takes an open file-handle and reads it until end-of file in
8192 byte blocks adding the contents to the context. The file-handle
can either be specified by name or passed as a type-glob reference, as
shown in the examples below. The hexdigest operation calls
digest and returns the result as a printable string of hexdecimal
digits. This is exactly the same operation as performed by the
unpack operation in the examples below.

The hash operation can act as either a static member function (ie
you invoke it on the RIPEMD160 class as in the synopsis above) or as a
normal virtual function. In both cases it performs the complete RIPEMD160
cycle (reset, add, digest) on the supplied scalar value. This is
convenient for handling small quantities of data. When invoked on the
class a temporary context is created. When invoked through an already
created context object, this context is used. The latter form is
slightly more efficient. The hexhash operation is analogous to
hexdigest.

%prep
%setup -q -n %m_distro-%version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/Crypt/
%perl_vendor_autolib/Crypt/
%perl_vendor_man3dir/*

%changelog
* Sat Sep 06 2008 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt2
- fix directory ownership violation

* Sat Aug 27 2005 Vitaly Lipatov <lav@altlinux.ru> 0.04-alt1
- first build for ALT Linux Sisyphus
